#--------------------------------------------------------------------------
#     This file is part of BKchem - a chemical drawing program
#     Copyright (C) 2002  Beda Kosata <kosatab@vscht.cz>

#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.

#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.

#     Complete text of GNU GPL can be found in the file gpl.txt in the
#     main directory of the program

#--------------------------------------------------------------------------
#
# Last edited: $Date: 2002/12/07 09:24:31 $
#
#--------------------------------------------------------------------------

"""images for buttons all over bkchem"""

import import_checker
import os_support

__all__ = ['images', 'splash_image']

paths = { 'draw': 'draw.ppm',
          'edit': 'edit.ppm',
          'text': 'text.ppm',
          'rotate': 'rotate.ppm',
          'plus': 'plus.ppm',
          'template': 'template.ppm',
          'arrow': 'arrow.ppm',
          'vector': 'oval.ppm',
          '1': '1.ppm',
          '6': '6.ppm',
          '18': '18.ppm',
          '30': '30.ppm',
          'benzene': 'benzene.ppm',
          'cyklopentadiene': 'cyklopentadiene.ppm',
          'cyklopentane': 'cyklopentane.ppm',
          'cyklohexane': 'cyklohexane.ppm',
          'cyklopropane': 'cyklopropane.ppm',
          'cyklobutane': 'cyklobutane.ppm',
          'normal': 'normal.ppm',
          'wedge': 'forth.ppm',
          'hatch': 'back.ppm',
          'oval': 'oval.ppm',
          'circle': 'circle.ppm',
          'rectangle': 'rect.ppm',
          'square': 'square.ppm',
          'polygon': 'polygon.ppm',
          'fixed': 'fixed_length.ppm',
          'freestyle': 'freestyle.ppm'}

splash_image_path = 'logo.ppm'



import Tkinter

#images for buttons
images = {}
for name in paths:
  try:
    # try if the picture can be read by Tkinter
    images[name] = Tkinter.PhotoImage( file = os_support.get_path( paths[name], 'pixmap'))
  except:
    pass

# splash image
try:
  splash_image = Tkinter.PhotoImage( file = os_support.get_path( splash_image_path, 'image'))
except:
  splash_image = None

